Subject: [IDMEF] IESG Comment section 4 (namespaces)

From: Herve Debar <[email-masked]>
Date: Thu, 08 Jan 2004 14:38:10 +0100

Section 4.*:
 >
 > This part contains a number of enumerated string values.  It seems to
 > me that these could more usefully be assigned URIs (maybe, URNs).
 > Using XML namespaces, these could then become element names, with all
 > but the last part of the URI being the namespace URI.  I think this
 > would better support the claimed requirement (section 2.1.1) for easy
 > extensibility.

I kind of like the comment, but am not sure I understand all of its 
impact, and in particular if there is a need to register these 
URIs/URNs somewhere ?

Is there a volunteer to tackle this ?

Hervé
-- 
Hervé Debar             <mailto:[email-masked]>
Tel: +33 (0)2 31 75 92 61            GSM: +33 (0)6 74 09 09 66
France Télécom R&D                   Fax: +33 (0)2 31 75 93 13
42 rue des Coutures  (--)  BP 6243  (--)  F-14066 Caen Cedex 4